Page MenuHomePhabricator

Analyze Demographics Surveys
Closed, ResolvedPublic

Description

Run analyses of demographic survey data.

Language / Countries with greater than 500 responses

For each language, we also compute numbers for worldwide readership.

  • Arabic: Saudi Arabia, Egypt, Iraq
  • German: Germany
  • English (Worldwide): United States, India
  • English (Africa): South Africa, Nigeria, Kenya, Egypt
  • Spanish: Spain, Mexico, Argentina, Colombia, Peru, Chile
  • Persian: Iran
  • French (Worldwide): France
  • French (Africa): Morocco, Algeria
  • Hebrew: Israel
  • Hungarian: Hungary
  • Norwegian: Norway
  • Romanian: Romania
  • Russian: Russia, Ukraine
  • Ukrainian: Ukraine
  • Chinese: Taiwan

Reader Behavior Features

  • Article: see T228319
  • Session:
    • # articles read, total time, time per article
    • referer class (internal, external search engine, external)
    • number of Wikipedia language editions visited
    • viewed Main Page (Q5296)
    • where in session survey was taken
    • desktop vs. mobile
    • loggedIn or not
  • Request:
    • localized day of week, localized time of day (convert UTC time based on timezone from IP)
    • country, continent (based on IP geolocation)

Analyses

  • Unweighted (raw) proportions for each question
  • Weighted (debiased) proportions for each question
  • Cross-tabulation -- e.g., age vs. gender
  • Content vs. Reader Gaps
    • age of respondent vs. age of biographies read
    • gender of respondent vs. gender of biographies read

Event Timeline

Isaac created this task.Jul 17 2019, 2:41 PM
Restricted Application added subscribers: jeblad, jhsoby, Base. · View Herald TranscriptJul 17 2019, 2:41 PM
Isaac updated the task description. (Show Details)Jul 17 2019, 5:59 PM
Isaac triaged this task as Medium priority.Jul 17 2019, 8:16 PM

I will focus on the specific analyses after processing of data, debiasing, feature generation is completed

Isaac moved this task from Staged to In Progress on the Research board.Aug 18 2019, 10:30 AM
Isaac updated the task description. (Show Details)Aug 23 2019, 10:10 PM
Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptAug 23 2019, 10:10 PM
Isaac added a comment.Aug 26 2019, 4:36 PM

I presented preliminary results at Wikimania: https://wikimania.wikimedia.org/wiki/2019:Research/Characterizing_Reader_Behavior_on_Wikipedia

We will hopefully release fuller results in the next several weeks after doing some additional checks / review.

Isaac added a comment.Oct 4 2019, 9:33 PM

Analysis complete -- at this point the focus will shift to writing up and sharing the results (which has already been ongoing for several weeks).

Intermediate results in the process of being published here: https://meta.wikimedia.org/wiki/Research:Characterizing_Wikipedia_Reader_Behaviour/Demographics_and_Wikipedia_use_cases#June_2019_Results

Restricted Application added a subscriber: Strainu. · View Herald TranscriptOct 4 2019, 9:33 PM
Isaac closed this task as Resolved.Oct 4 2019, 9:33 PM
Isaac updated the task description. (Show Details)